
TYPO3.Flow - Bug # 2115

Status: Resolved Priority: Must have
Author: Christoph Blömer Category: Resource
Created: 2008-11-11 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Base href is not correct when calling index_dev.php
Description

The base href looks like:

Resources/Web/FLOW3/Public/MVC/http://192.168.149.129/

But it should be:

http://192.168.149.129/

Associated revisions
Revision b199be67 - 2008-11-11 11:57 - Karsten Dambekalns
FLOW3:
    -  changed the resource processing to not prefix URIs starting with a hash, fixes #2115

History
#1 - 2008-11-11 11:27 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns

This is caused by interaction between relative link prefixing in the resource manager and marker replacement later on. This is what happens:
    1. base href="###BASEURI###" is transformed to
    2. base href="Resources/Web/FLOW3/Public/MVC/###BASEURI###" because URIs starting with a hash are considered relative
    3. Then the marker is replaced with the base URI, leading to base href="Resources/Web/FLOW3/Public/MVC/http://192.168.149.129/"

Solution: never ever directly prefix markers.

#2 - 2008-11-11 11:58 - Karsten Dambekalns

Better solution: never ever prefix URIs starting with a hash.

#3 - 2008-11-11 12:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1480.
